<template lang="pug">
button.button( v-if='node == "button"' :class='bindClass' )
	slot
component.button( v-else :is='node' :class='bindClass' )
	slot
</template>

<script setup>
import { computed } from "vue"

const props = defineProps({
	node: {
		type: String,
		default: "div",
		validator: val => [ "div", "a", "router-link", "button" ].includes(val)
	},
	type: {
		type: String,
		default: ""
	},
	size: String,
	loading: Boolean,
	fullwidth: Boolean,
	light: Boolean
})

const bindClass = computed(() => [
	props.type ? `is-${props.type}` : "",
	props.loading ? "is-loading" : "",
	props.fullwidth ? "is-fullwidth" : "",
	props.size ? `is-${props.size}` : "",
	props.light ? "is-light" : ""
])
</script>